package yourdomain.configs
{
	import robotlegs.bender.extensions.contextView.ContextView;
	import robotlegs.bender.extensions.matching.TypeMatcher;
	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.framework.api.IConfig;
	import robotlegs.bender.framework.api.IInjector;
	
	import yourdomain.baseViews.components.IBaseView;
	import yourdomain.otherViews.components.AnotherView;
	import yourdomain.otherViews.components.SomeView;
	import yourdomain.otherViews.mediators.AnotherMediator;
	import yourdomain.otherViews.mediators.SomeMediator;

	public class ApplicationConfig implements IConfig
	{
		
		[Inject]
		public var mediatorMap:IMediatorMap;
		
		public function configure():void
		{
			trace("ApplicationConfig.configure()");
			
			mediatorMap.mapMatcher(new TypeMatcher().allOf(IBaseView, AnotherView)).toMediator(AnotherMediator);
			mediatorMap.mapMatcher(new TypeMatcher().allOf(IBaseView, SomeView)).toMediator(SomeMediator);		
		}
	}
}